FROM lisyarus/psemek:package-linux

# Install emsdk - the version the build was tested at
WORKDIR /home
RUN git clone --branch 6.0.2 https://github.com/emscripten-core/emsdk.git
WORKDIR /home/emsdk
RUN ./emsdk install 6.0.2
RUN ./emsdk activate 6.0.2
RUN . ./emsdk_env.sh && embuilder build sdl2 sdl2-mt

WORKDIR /home
COPY env-helper.sh .
# Source emsdk env variables when running the container
ENTRYPOINT ["/home/env-helper.sh"]

# Install Boost sources
WORKDIR /home
RUN git config --global advice.detachedHead false
RUN git clone --recurse-submodules --branch boost-1.87.0 https://github.com/boostorg/boost.git

# Install toolchain file & main packaging script
COPY toolchain-host.cmake .
COPY package.sh .
